Updates & Downloads


fenix 5 Plus, ANT/BLE/BT software version 3.00

as of September 19, 2018

Use Garmin Express to install this file.

(147 KB)

View system requirements

Notes:


Change History

Changes made from version 2.80 to 3.00:

System requirements

  1. IBM-compatible PC running Windows 2000 or later operating system and an available USB port.